Bug 79458 - Can't access Types from an embeded Schema in a wsdl file
Can't access Types from an embeded Schema in a wsdl file
Status: CLOSED FIXED
Product: xml
Classification: Unclassified
Component: WSDL Tools
5.x
All All
: P1 (vote)
: TBD
Assigned To: Shivanand Kini
issues@xml
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-29 23:58 UTC by _ hong_lin
Modified: 2006-07-14 01:41 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
sample application (8.00 KB, application/x-compressed)
2006-06-29 23:59 UTC, _ hong_lin
Details
snapshot (960.05 KB, image/gif)
2006-06-30 00:00 UTC, _ hong_lin
Details
The nodes are still greyed out. But all elements and types are selectable. (17.36 KB, image/png)
2006-07-13 00:37 UTC, Shivanand Kini
Details
OK button is greyed out (35.17 KB, image/png)
2006-07-13 00:55 UTC, _ hong_lin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description _ hong_lin 2006-06-29 23:58:32 UTC
Build: NB 5.5 dev (Build 200606290200, Pack 2006.06.29)

To reproduce it:

1. unzip the attached SynchronousSample.zip file.
2. Load "SynchronousSample" project.
3. Open "SynchronousSample_1.wsdl" file into Editor Window.
4. In the WSDL view, expand "SynchronousSample_1 > Messages > requestMessage"
nodes. 
5. Select "inputType" node, in the "inputType - Properties" window, click button
"..." next to "Element or Type" field.
6. In the "inputType - Element or Type" dialog, expand "Inline Schema Types >
http://www.mycomp.org... > Referenced Schemas > import {http://...} >
http://xml.netbeans.org" nodes.
==> All nodes under are grey out. User can not access any one of them.
(attached WsdlType.bmp snapshot)
Comment 1 _ hong_lin 2006-06-29 23:59:32 UTC
Created attachment 31525 [details]
sample application
Comment 2 _ hong_lin 2006-06-30 00:00:28 UTC
Created attachment 31526 [details]
snapshot
Comment 3 Shivanand Kini 2006-07-12 01:13:58 UTC
Fixed this issue.
Comment 4 Sherry Barkodar 2006-07-13 00:09:18 UTC
Hong and myself tried build200607120500 on two different machines and is not fixed.
sherry






Comment 5 Shivanand Kini 2006-07-13 00:37:27 UTC
Created attachment 31791 [details]
The nodes are still greyed out. But all elements and types are selectable.
Comment 6 _ hong_lin 2006-07-13 00:47:26 UTC
yes, all elements and types are selectable. But the "OK" button is greyed out.
So we still can't set the element or type.
Comment 7 _ hong_lin 2006-07-13 00:54:25 UTC
If the elements and types are selectable, why are they still greyed out? That
will confuse users.

I saw the "OK" button in your snapshot is not greyed out. But mine is. So is
Sherry's. Don't know why. Attached a snapshot elementortype2.PNG from my IDE.  
Comment 8 _ hong_lin 2006-07-13 00:55:51 UTC
Created attachment 31792 [details]
OK button is greyed out
Comment 9 _ hong_lin 2006-07-14 01:41:07 UTC
Verified the fix is in build 200607130000


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo